package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Pekerjaan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "Pekerjaan_M")
public class PekerjaanVO extends BaseMasterVO {
	@Caption(value="Kode Pekerjaan")
	private Byte kdPekerjaan;

	public void setKdPekerjaan(Byte kdPekerjaan) {
		this.kdPekerjaan = kdPekerjaan;
	}

	@Column(name = "KdPekerjaan", nullable = false )
	public Byte getKdPekerjaan(){
		return this.kdPekerjaan;
	}

	@Caption(value="Pekerjaan")
	private String pekerjaan;

	public void setPekerjaan(String pekerjaan) {
		this.pekerjaan = pekerjaan;
	}

	@Column(name = "Pekerjaan", nullable = false , length = 20)
	public String getPekerjaan(){
		return this.pekerjaan;
	}

	@Caption(value="QPekerjaan")
	private Byte qPekerjaan;

	public void setqPekerjaan(Byte qPekerjaan) {
		this.qPekerjaan = qPekerjaan;
	}

	@Column(name = "QPekerjaan", nullable = false )
	public Byte getqPekerjaan(){
		return this.qPekerjaan;
	}


}

